use bone_types::Parameter;
use serde::{Deserialize, Serialize};

#[derive(Copy, Clone, Debug, PartialEq, Serialize, Deserialize)]
#[serde(deny_unknown_fields)]
pub struct SketchParameter {
    value: Parameter,
}

impl SketchParameter {
    #[must_use]
    pub const fn new(value: Parameter) -> Self {
        Self { value }
    }

    #[must_use]
    pub const fn value(self) -> Parameter {
        self.value
    }

    #[must_use]
    pub const fn with_value(self, value: Parameter) -> Self {
        Self { value }
    }
}
